summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/doc/latex/isodoc
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2014-01-31 22:28:02 +0000
committerKarl Berry <karl@freefriends.org>2014-01-31 22:28:02 +0000
commit8e334f60a6c746a40471e99900181d7ca3b06ccc (patch)
tree9820ada46e0fe16bacffc76206cd5d406a2a7f54 /Master/texmf-dist/doc/latex/isodoc
parent9e47118de1279ba0a04f879b2bf3f29f07bbe0fc (diff)
isodoc (31jan14)
git-svn-id: svn://tug.org/texlive/trunk@32833 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/doc/latex/isodoc')
-rw-r--r--Master/texmf-dist/doc/latex/isodoc/README4
-rw-r--r--Master/texmf-dist/doc/latex/isodoc/inst55
-rw-r--r--Master/texmf-dist/doc/latex/isodoc/isodoc.pdfbin1347188 -> 1348777 bytes
-rwxr-xr-xMaster/texmf-dist/doc/latex/isodoc/listkeys50
-rw-r--r--Master/texmf-dist/doc/latex/isodoc/logoletter/logoletter.sty4
5 files changed, 64 insertions, 49 deletions
diff --git a/Master/texmf-dist/doc/latex/isodoc/README b/Master/texmf-dist/doc/latex/isodoc/README
index 07af3840e25..f420fe10a06 100644
--- a/Master/texmf-dist/doc/latex/isodoc/README
+++ b/Master/texmf-dist/doc/latex/isodoc/README
@@ -20,3 +20,7 @@ experiment with.
Installation:
Execute the inst script with the --help option for more information.
+Changes in version 1.03:
+ - added logo and nologo options
+ - changed definitions for fancy headings and footings to allow for easy
+ adaptation in style files.
diff --git a/Master/texmf-dist/doc/latex/isodoc/inst b/Master/texmf-dist/doc/latex/isodoc/inst
index d605163b9c4..56c1cf04d82 100644
--- a/Master/texmf-dist/doc/latex/isodoc/inst
+++ b/Master/texmf-dist/doc/latex/isodoc/inst
@@ -11,20 +11,6 @@ function die {
exit 1
}
-function help {
- cat <<-EOD
- This is inst - install the $NAME LaTeX $DOCTYPE
- Options:
- -h, --help print this help
- -c, --clean remove all files created by the installation, except the zip file
- -z, --zip Create zip for CTAN (no install, developer only)
-
- Without any options, inst installs $NAME in the first writable
- TEXMFMAIN, TEXMFLOCAL or TEXMFHOME tree.
- EOD
- exit
-}
-
function setdir { # create installation directory
for i in MAIN LOCAL HOME; do
TREE=$(kpsewhich --expand-var \$TEXMF$i)
@@ -58,16 +44,12 @@ sed 's/^%//;s/\\\\$//
s/\\text\(sl\|it\){\([^}]\+\)}/\/\2\//g # \textsl{...} -> /.../
s/{\([^}]*\)}/\1/g # keep last, removes all {...}
' >README
+ grep "Changes in version" README >/dev/null || die changes not detected
}
function clean { # clean but keep what goes in the zip
- rm -f $NAME.{aux,fls,glo,gls,idx,ilg,ind,log,out,toc,$EXT}
- rm -f examples/*/{$NAME*,*.{pdf,aux,log,out}}
-}
-
-function Clean {
- clean
- rm -f $NAME.pdf README
+ rm -f $NAME.{aux,fls,glo,gls,idx,ilg,ind,log,out,toc}
+ rm -f examples/*/{$NAME*,*.{pdf,aux,log,fls,out}}
}
function makeall {
@@ -103,45 +85,24 @@ function makeall {
}
function installall {
- # install and cleanup
+ # cleanup and install
+ clean
echo installing in $TREE
-
rm -rf $INSTTEX/* $INSTSRC/* $INSTDOC/*
cp -f $NAME.$EXT languages/iso* $INSTTEX
cp -a $NAME.{ins,dtx} $INSTSRC
cp -a README inst languages/template.ldf $NAME.pdf examples/* $INSTDOC
mktexlsr $TREE 2>/dev/null
- clean
-}
-
-function mkzip {
- clean
+ rm $NAME.cls
cd ..
zipfile=$NAME/$NAME-$VERSION.zip
rm -f $zipfile
- zip -Drq $zipfile $NAME/* -x $NAME/test/*
+ zip -Drq $zipfile $NAME/* -x $NAME/test/* -x $NAME.$EXT
cd $NAME
- Clean
+ rm README $NAME.pdf
}
testexecs
setdir
-
-if ! options=$(getopt -o hcz \
- -l help,clean,zip -- "$@"); then exit 1; fi
-eval set -- "$options"
-
-while [ $# -gt 0 ]; do
- case $1 in
- -c|--clean) Clean; exit;;
- -z|--zip) makeall; mkzip; exit;;
- -h|--help) help;;
- (--) shift; break;;
- (*) break;;
- esac
- shift
-done
-test "$1" = "" || die No arguments expected
-
makeall
installall
diff --git a/Master/texmf-dist/doc/latex/isodoc/isodoc.pdf b/Master/texmf-dist/doc/latex/isodoc/isodoc.pdf
index 79241374cc1..0d1b552c5b8 100644
--- a/Master/texmf-dist/doc/latex/isodoc/isodoc.pdf
+++ b/Master/texmf-dist/doc/latex/isodoc/isodoc.pdf
Binary files differ
diff --git a/Master/texmf-dist/doc/latex/isodoc/listkeys b/Master/texmf-dist/doc/latex/isodoc/listkeys
new file mode 100755
index 00000000000..ab77a2f607d
--- /dev/null
+++ b/Master/texmf-dist/doc/latex/isodoc/listkeys
@@ -0,0 +1,50 @@
+#!/bin/bash
+#shopt -s extglob
+
+# after the addition of new options, two regions of the documentation in
+# isodoc.dtx need to be updated:
+# 1. the body of the definition of \showkeys
+# listkeys will print that body with the argument `show'
+# 2. The body of the tabular (in the section `Commands'), which shows
+# the options having a corresponding command.
+# listkeys will print that body with the argument `defs'
+#
+# An easy way to replace the data in isodoc.dtx is, using the vim editor:
+# 1. select the lines (the contents of \def\showkeys, say) with V and then
+# 2. type :!listkeys show
+
+
+usage() { echo "Usage: listkeys defs|show"; }
+[[ -z $1 ]] && usage
+
+type=$1
+[[ $type =~ ^(defs|show)$ ]] || usage
+
+minipage='^(acceptdesc|copyto|enclosures|logoaddres|signature|returnaddress)$'
+undef='^(accountname|accountno|bic|iban|routingno|vatno)$'
+# find keys which have a corresponding command:
+a=($(
+ while read -r x; do
+ [[ $x =~ define@key ]] || continue
+ # \define@key{isodoc}{closing} {\def\closing{#1}}
+ re='\\define@key\{isodoc\}\{([[:alpha:]]+)\}.*\\def\\\1\{'
+ # ----word---- ^^-same word
+ [[ $x =~ $re ]] || continue
+ echo ${BASH_REMATCH[1]}
+ done<isodoc.dtx |sort
+))
+
+if [[ $type == defs ]]; then
+ for i in ${a[@]}; do
+ if [[ $i =~ $minipage ]]; then
+ printf "%20s & \\%s\\NN\n" $i "@isodocmp{$i}"
+ elif [[ $i =~ $undef ]]; then
+ printf "%20s & \\%s\\NN\n" $i "@isodocun{$i}"
+ else
+ printf "%20s & \\%s\\NN\n" $i $i
+ fi
+ done
+else
+ for i in ${a[@]}; do echo $i; done |
+ cols -5 --squeeze --sep=' & ' --suf='\NN' --pre='% '
+fi
diff --git a/Master/texmf-dist/doc/latex/isodoc/logoletter/logoletter.sty b/Master/texmf-dist/doc/latex/isodoc/logoletter/logoletter.sty
index 332fca3d6ea..55271dfdb78 100644
--- a/Master/texmf-dist/doc/latex/isodoc/logoletter/logoletter.sty
+++ b/Master/texmf-dist/doc/latex/isodoc/logoletter/logoletter.sty
@@ -30,7 +30,7 @@
\definecolor{shivablue}{rgb}{.14,.33,.43}
\definecolor{shivaback}{rgb}{.97,.87,.71}
-\renewcommand{\logo}{
+\renewcommand{\logo}{\if@isodoclogo
\pagecolor{shivaback}
\begin{textblock}{2}(10,13)
\includegraphics[scale=.3]{shiva-shakti.png}
@@ -44,7 +44,7 @@
Room 123\quad
Bangkok
\end{center}
- \end{textblock}
+ \end{textblock}\fi
}
\setmainfont[Mapping=tex-text]{MinionPro-Regular}
\setdefaultlanguage{english}